Package com.sap.ai.sdk.grounding.model

# Class PerFilterSearchResult

java.lang.Object
com.sap.ai.sdk.grounding.model.PerFilterSearchResult

public class PerFilterSearchResult extends Object
PerFilterSearchResult

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `PerFilterSearchResult.Builder`
  Builder helper class.
  `static interface`
  `PerFilterSearchResult.Builder1`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PerFilterSearchResult()`
  Default constructor for PerFilterSearchResult.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PerFilterSearchResult`
  `addResultsItem(DocumentsChunk resultsItem)`
  Add one results instance to this `PerFilterSearchResult`.
  `static PerFilterSearchResult.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `PerFilterSearchResult` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `PerFilterSearchResult`
  `filterId(String filterId)`
  Set the filterId of this `PerFilterSearchResult` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `PerFilterSearchResult`.
  `String`
  `getFilterId()`
  Get filterId
  `List<DocumentsChunk>`
  `getResults()`
  Get results
  `int`
  `hashCode()`
  `PerFilterSearchResult`
  `results(List<DocumentsChunk> results)`
  Set the results of this `PerFilterSearchResult` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `PerFilterSearchResult` instance.
  `void`
  `setFilterId(String filterId)`
  Set the filterId of this `PerFilterSearchResult` instance.
  `void`
  `setResults(List<DocumentsChunk> results)`
  Set the results of this `PerFilterSearchResult` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `PerFilterSearchResult` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PerFilterSearchResult

    protected PerFilterSearchResult()
    Default constructor for PerFilterSearchResult.

- ## Method Details

  - ### filterId

    @Nonnull public PerFilterSearchResult filterId(@Nonnull String filterId)
    Set the filterId of this `PerFilterSearchResult` instance and return the same instance.
    Parameters:
      `filterId` - The filterId of this `PerFilterSearchResult`
    Returns:
      The same instance of this `PerFilterSearchResult` class

  - ### getFilterId

    @Nonnull public String getFilterId()
    Get filterId
    Returns:
      filterId The filterId of this `PerFilterSearchResult` instance.

  - ### setFilterId

    public void setFilterId(@Nonnull String filterId)
    Set the filterId of this `PerFilterSearchResult` instance.
    Parameters:
      `filterId` - The filterId of this `PerFilterSearchResult`

  - ### results

    @Nonnull public PerFilterSearchResult results(@Nonnull List<DocumentsChunk> results)
    Set the results of this `PerFilterSearchResult` instance and return the same instance.
    Parameters:
      `results` - The results of this `PerFilterSearchResult`
    Returns:
      The same instance of this `PerFilterSearchResult` class

  - ### addResultsItem

    @Nonnull public PerFilterSearchResult addResultsItem(@Nonnull DocumentsChunk resultsItem)
    Add one results instance to this `PerFilterSearchResult`.
    Parameters:
      `resultsItem` - The results that should be added
    Returns:
      The same instance of type `PerFilterSearchResult`

  - ### getResults

    @Nonnull public List<DocumentsChunk> getResults()
    Get results
    Returns:
      results The results of this `PerFilterSearchResult` instance.

  - ### setResults

    public void setResults(@Nonnull List<DocumentsChunk> results)
    Set the results of this `PerFilterSearchResult` instance.
    Parameters:
      `results` - The results of this `PerFilterSearchResult`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `PerFilterSearchResult`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `PerFilterSearchResult` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `PerFilterSearchResult` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `PerFilterSearchResult` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static PerFilterSearchResult.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `PerFilterSearchResult` instance with all required arguments.